<?php

class Client
{
    /**
     * Create Userinfo object for Benno userinfo endpoint
     *
     * @param $user The user object
     * @param $metadata The metadata object
     * @param $externalOidcToken The external OIDC token
     * @param $additionalUserInfo The additional user info
     * @param $idToken The id token
     * @param $mailAddresses Further mail addresses
     * @return array
     */
    public function buildUserinfo($user, $metadata, $externalOidcToken, $additionalUserInfo, $idToken,
    $mailAddresses)
    {
        $data["user"] = $user;
        $data["type"] = $metadata;
        $data["external_oidc_token"] = $externalOidcToken;
        $data["id_token"] = $idToken;
        $data["additional_user_infos"] = $additionalUserInfo;
        $data["mail_addresses"] = $mailAddresses;

        return $data;
    }

}